
#ifndef _H_y_error_example
#define _H_y_error_example
/*
 * Copyright (c) 2008 - 2012, Andy Bierman, All Rights Reserved.
 * Copyright (c) 2012 - 2021, YumaWorks, Inc., All Rights Reserved.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

/**
 * @file y_error-example.h
 * @brief YumaPro SIL-SA header for module error-example
 *

*** Generated by yangdump-sdk jaguar-tony-ypw-1872-silsa-errors-2021-11-19.12.48-M-THD

<pre>

    YumaPro SIL-SA header
    module error-example
    revision 2021-11-19
    prefix err
    namespace http://netconfcentral.org/ns/error-example
    Created: 2021-11-20T00:13:32Z
    CLI parameters:
        format yh
        indent 4
        log-level debug3
        module error-example
        output y_error-example.h
        sil-edit2
        sil-get2
        sil-sa
        unified true
</pre>

 */

#include <xmlstring.h>

#include "procdefs.h"
#include "dlq.h"
#include "ncxtypes.h"
#include "op.h"
#include "status.h"
#include "val.h"

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @addtogroup yang-library YANG Library
 *
 * Collection of modules supported by the server.
 * Generated by yangdump-sdk.
 */



/**
 * @addtogroup silsa-error-example Module error-example
 * @ingroup yang-library
 *
 * @{
 *
 * YANG instrumentation library.
 * Generated by yangdump-sdk.
 */



#define y_err_M_err (const xmlChar *)"error-example"

#define y_err_R_err (const xmlChar *)"2021-11-19"

#define y_err_N_test_error (const xmlChar *)"test-error"
#define y_err_N_test_silsa_errors (const xmlChar *)"test-silsa-errors"



/**
 * @brief Phase 1: Initialize the error-example server instrumentation library.
 *
 * Called by server when module is loaded.
 *
 * @param modname requested module name to load
 * @param revision requested revision date of the module to load.
 * This may be NULL if the module has no revision statements.
 * @return return status. An error will cause the module load to fail.
 */
extern status_t y_error_example_init (
    const xmlChar *modname,
    const xmlChar *revision);


/**
 * @brief Phase 2: Initialize the error-example server instrumentation library.
 *
 * SIL init phase 2: non-config data structures.
 * Called after running config is loaded.
 *
 * @return return status. An error will cause the
 * server initialization to fail.
 */
extern status_t y_error_example_init2 (void);


/**
 * @brief Cleanup the error-example server instrumentation library.
 *
 * Called by server when module is unloaded.
 *
 */
extern void y_error_example_cleanup (void);


 /** @} */

#ifdef __cplusplus
} /* end extern 'C' */
#endif

#endif
